import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, l = (o, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, a = o.length - 1, i; a >= 0; a--)
    (i = o[a]) && (e = (r ? i(t, s, e) : i(e)) || e);
  return r && e && g(t, s, e), e;
};
let p = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--faceUnhappyFilledLarge", this.class = "c-pieIcon c-pieIcon--faceUnhappyFilledLarge", this.name = "IconFaceUnhappyFilledLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--faceUnhappyFilledLarge"><path d="M24.662 7.338A12.25 12.25 0 1 0 7.338 24.662 12.25 12.25 0 0 0 24.662 7.338ZM10.815 15.9a1.312 1.312 0 1 1-1.005-2.424 1.312 1.312 0 0 1 1.005 2.424Zm2.309 2.703a4.715 4.715 0 0 1 7.435 2.53h-1.846a2.975 2.975 0 0 0-5.426 0h-1.846a4.715 4.715 0 0 1 1.683-2.53Zm9.655-3.186a1.312 1.312 0 1 1-2.182-1.457 1.312 1.312 0 0 1 2.182 1.457Z"></path></svg>`;
  }
};
l([
  c({ type: String, reflect: !0 })
], p.prototype, "size", 2);
l([
  c({ type: String, reflect: !0 })
], p.prototype, "class", 2);
p = l([
  f("icon-face-unhappy-filled-large")
], p);
export {
  p as IconFaceUnhappyFilledLarge
};
